Subject: bug#29934: in virtual machines the graphical dektop environment randomly fails to show up

From: Catonano <[email-masked]>
Date: Tue, 2 Jan 2018 15:19:43 +0100

ehm...

i seems the login worked, this time

I guix pulled in thhe meantime, so maybe this had been solved already

Gosh I'm sorry

2018-01-02 15:17 GMT+01:00 Catonano <[email-masked]>:

>
>
> 2018-01-02 13:08 GMT+01:00 Catonano <[email-masked]>:
>
>>
>>
>> 2018-01-02 12:52 GMT+01:00 Danny Milosavljevic <[email-masked]>:
>>
>>> Oh sorry, you edited it, right? Then remove the -hda Q, it's just an
>>> example.  Just the -serial stdio and kernel option is enough.
>>>
>>
>> This is the new version of the command to launch qemu
>> https://paste.freshbakedyams.com/paste/NS4HNRQ9
>>
>> What happens now is that it hangs on:
>>
>> Booting from ROM...
>>
>> Here's a picture
>> https://imgur.com/a/f7hpW
>>
>
> No, sorry, I think I used the wrong script
>
> Now it works
>
> Sometimes I need some pauses, I get tired. I apologize
>
> So, this is what I could fetch in the terminal (cool trick ! Thhanks !)
>
>  2 Jan 15:15:07 ntpd[388]: Listen normally on 5 eth0
> [fe80::f94:7e70:cad0:a679%2]:123
>  2 Jan 15:15:07 ntpd[388]: new interface(s) found: waking up resolver
> New session c1 of user root.
> /gnu/store/r4rfxxi8k4gql53vfcr3ns9l2mksd3m2-xauth-1.0.10/bin/xauth:  file
> /root/.Xauthority does not exist
> error in finalization thread: Successo
> [   22.244616] fuse init (API version 7.26)
> gnome-session-binary[441]: WARNING: Could not parse desktop file
> xscreensaver.desktop or it references a not found TryExec binary
> Jan  2 15:15:17 localhost gnome-keyring-daemon[490]: couldn't access
> control socket: /run/user/0/keyring/control: File o directory non esistente
> Jan  2 15:15:17 localhost gnome-keyring-daemon[491]: couldn't access
> control socket: /run/user/0/keyring/control: File o directory non esistente
> ** Message: couldn't access control socket: /run/user/0/keyring/control:
> File o directory non esistente
> ** Message: couldn't access control socket: /run/user/0/keyring/control:
> File o directory non esistente
> Jan  2 15:15:17 localhost gnome-keyring-daemon[492]: couldn't access
> control socket: /run/user/0/keyring/control: File o directory non esistente
> ** Message: couldn't access control socket: /run/user/0/keyring/control:
> File o directory non esistente
> SSH_AUTH_SOCK=/run/user/0/keyring/ssh
> SSH_AUTH_SOCK=/run/user/0/keyring/ssh
> SSH_AUTH_SOCK=/run/user/0/keyring/ssh
> Gjs-Message: JS WARNING: [resource:///org/gnome/shell/ui/main.js 317]:
> reference to undefined property global.stage
> Gjs-Message: JS WARNING: [resource:///org/gnome/shell/ui/layout.js 217]:
> reference to undefined property global.window_group
> Gjs-Message: JS WARNING: [resource:///org/gnome/shell/ui/osdMonitorLabeler.js
> 59]: reference to undefined property Meta.MonitorManager
> GNOME Shell-Message: Failed to launch ibus-daemon: Esecuzione del processo
> figlio «ibus-daemon» non riuscita (File o directory non esistente)
> Gjs-Message: JS WARNING: [resource:///org/gnome/shell/ui/slider.js 34]:
> reference to undefined property St.GenericAccessible
> dbus[384]: [system] Activating service name='org.freedesktop.Accounts'
> (using servicehelper)
> dbus[384]: [system] Successfully activated service
> 'org.freedesktop.Accounts'
> dbus[384]: [system] Activating service name='org.freedesktop.GeoClue2'
> (using servicehelper)
> dbus[384]: [system] Successfully activated service
> 'org.freedesktop.GeoClue2'
> dbus[384]: [system] Activating service name='org.freedesktop.UDisks2'
> (using servicehelper)
> dbus[384]: [system] Successfully activated service
> 'org.freedesktop.UDisks2'
> Gjs-Message: JS WARNING: [resource:///org/gnome/gjs/modules/tweener/tweener.js
> 540]: reference to undefined property properties[istr].isSpecialProperty
> GNOME Shell-Message: No permission to trigger offline updates:
> Polkit.Error: GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: Action
> org.freedesktop.packagekit.trigger-offline-update is not registered
> GNOME Shell-Message: Error loading calendars: Errore nel chiamare
> StartServiceByName per org.gnome.Shell.CalendarServer:
> GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildExited: Process
> org.gnome.Shell.CalendarServer exited with status 1
>
> (gsd-sharing:560): sharing-plugin-WARNING **: Failed to StopUnit service:
> GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name
> org.freedesktop.systemd1 was not provided by any .service files
>
> (gsd-sharing:560): sharing-plugin-WARNING **: Failed to StopUnit service:
> GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name
> org.freedesktop.systemd1 was not provided by any .service files
>
> (gsd-sharing:560): sharing-plugin-WARNING **: Failed to StopUnit service:
> GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name
> org.freedesktop.systemd1 was not provided by any .service files
> dbus[384]: [system] Activating service name='org.freedesktop.ColorManager'
> (using servicehelper)
> dbus[384]: [system] Activating service name='org.freedesktop.GeoClue2'
> (using servicehelper)
> /gnu/store/llp6klxx0gz9zcwhfcaklhp0gv3x178f-gnome-disk-utility-3.26.2/
> libexec/gsd-disk-utility-notify: Relink `/gnu/store/
> x999chw1v0qz0z8k61k51q44jn5srqg6-libpng-1.6.29/lib/libpng16.so.16' with
> `/gnu/store/3h31zsqxjjg52da5gp3qmhkh4x8klhah-glibc-2.25/lib/libpthread.so.0'
> for IFUNC symbol `longjmp'
> dbus[384]: [system] Successfully activated service
> 'org.freedesktop.ColorManager'
> dbus[384]: [system] Successfully activated service
> 'org.freedesktop.GeoClue2'
> [   34.770084] .colord-sane-re[661]: segfault at 30 ip 00007fdd577e4a94 sp
> 00007ffdcda44460 error 4 in libpthread-2.25.so[7fdd577db000+19000]
> GNOME Shell-Message: Error looking up permission:
> GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name
> org.freedesktop.impl.portal.PermissionStore was not provided by any
> .service files
> GNOME Shell-Message: GDBus.Error:org.freedesktop.DBus.Error.AccessDenied:
> gnome-shell not allowed to act as agent
>
> (gsd-color:570): color-plugin-WARNING **: failed to get edid: unable to
> get EDID for output
>
> (gsd-color:570): color-plugin-WARNING **: unable to get EDID for
> xrandr-default: unable to get EDID for output
> GNOME Shell started at Tue Jan 02 2018 15:15:22 GMT+0100 (CET)
>
>
>